Package org.drinkless.tdlib

# Class TdApi.SendBusinessMessage

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.BusinessMessage>
org.drinkless.tdlib.TdApi.SendBusinessMessage

Enclosing class:
  `TdApi`

public static class TdApi.SendBusinessMessage extends TdApi.Function<TdApi.BusinessMessage>
Sends a message on behalf of a business account; for bots only. Returns the message after it was sent.

Returns `BusinessMessage`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `String`
  `businessConnectionId`
  Unique identifier of business connection on behalf of which to send the request.
  `long`
  `chatId`
  Target chat.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `boolean`
  `disableNotification`
  Pass true to disable notification for the message.
  `long`
  `effectId`
  Identifier of the effect to apply to the message.
  `TdApi.InputMessageContent`
  `inputMessageContent`
  The content of the message to be sent.
  `boolean`
  `protectContent`
  Pass true if the content of the message must be protected from forwarding and saving.
  `TdApi.ReplyMarkup`
  `replyMarkup`
  Markup for replying to the message; pass null if none.
  `TdApi.InputMessageReplyTo`
  `replyTo`
  Information about the message to be replied; pass null if none.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SendBusinessMessage()`
  Default constructor for a function, which sends a message on behalf of a business account; for bots only.
  `SendBusinessMessage(String businessConnectionId, long chatId, TdApi.InputMessageReplyTo replyTo, boolean disableNotification, boolean protectContent, long effectId, TdApi.ReplyMarkup replyMarkup, TdApi.InputMessageContent inputMessageContent)`
  Creates a function, which sends a message on behalf of a business account; for bots only.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### businessConnectionId

    public String businessConnectionId
    Unique identifier of business connection on behalf of which to send the request.

  - ### chatId

    public long chatId
    Target chat.

  - ### replyTo

    public TdApi.InputMessageReplyTo replyTo
    Information about the message to be replied; pass null if none.

  - ### disableNotification

    public boolean disableNotification
    Pass true to disable notification for the message.

  - ### protectContent

    public boolean protectContent
    Pass true if the content of the message must be protected from forwarding and saving.

  - ### effectId

    public long effectId
    Identifier of the effect to apply to the message.

  - ### replyMarkup

    public TdApi.ReplyMarkup replyMarkup
    Markup for replying to the message; pass null if none.

  - ### inputMessageContent

    public TdApi.InputMessageContent inputMessageContent
    The content of the message to be sent.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SendBusinessMessage

    public SendBusinessMessage()
    Default constructor for a function, which sends a message on behalf of a business account; for bots only. Returns the message after it was sent.

    Returns `BusinessMessage`

  - ### SendBusinessMessage

    public SendBusinessMessage(String businessConnectionId, long chatId, TdApi.InputMessageReplyTo replyTo, boolean disableNotification, boolean protectContent, long effectId, TdApi.ReplyMarkup replyMarkup, TdApi.InputMessageContent inputMessageContent)
    Creates a function, which sends a message on behalf of a business account; for bots only. Returns the message after it was sent.

    Returns `BusinessMessage`

    Parameters:
      `businessConnectionId` - Unique identifier of business connection on behalf of which to send the request.
      `chatId` - Target chat.
      `replyTo` - Information about the message to be replied; pass null if none.
      `disableNotification` - Pass true to disable notification for the message.
      `protectContent` - Pass true if the content of the message must be protected from forwarding and saving.
      `effectId` - Identifier of the effect to apply to the message.
      `replyMarkup` - Markup for replying to the message; pass null if none.
      `inputMessageContent` - The content of the message to be sent.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.BusinessMessage>`
    Returns:
      this.CONSTRUCTOR